Bug 9067 - Wrong "File shrank by x bytes; padding with zeros" message
Summary: Wrong "File shrank by x bytes; padding with zeros" message
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: tar (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-02 13:19 UTC by Jonathan Kamens
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-02 13:19:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan Kamens 2000-02-02 13:19:32 UTC
I've been getting errors like this regularly from the tar that's running my
nightly backup:

tar: /c/oldroot.tgz: File shrank by 182917781 bytes; padding with zeros

I'm using tar-1.13.17-1 with a local patch to ignore some additional failed
stat()s whtn when --ignore-failed-read is specified; I'm fairly certain
that patch doesn't have anything to do with the error shown above.

Until today, the error always happened with files on a read-only NTFS
partition, so I assumed that it was related to a bug in the NTFS filesystem
code, rather than a bug in tar.  But the file /c/oldroot.tgz shown above is
in fact on an ext2 partition, so I cannot help but suspect that there's a
bug in tar that is sometimes causing it to believe that a file has shrunk
when it hasn't.

The file /c/oldroot.tgz hasn't changed in a long time.

Note that I'm using --listed-incremental for my backups; that may or may
not be relevant to this bug.

Comment 1 Bernhard Rosenkraenzer 2000-08-02 11:52:53 UTC
This should be fixed in the current tar.



Note You need to log in before you can comment on or make changes to this bug.